crashpad::ProcessReaderFuchsia::Thread Struct Reference

Contains information about a thread that belongs to a process. More...

`#include "snapshot/fuchsia/process_reader_fuchsia.h"`

## Public Attributes

zx_koid_t | id = ZX_KOID_INVALID
| The kernel identifier for the thread.
uint32_t | state = -1
| The state of the thread, the `ZX_THREAD_STATE_*` value or `-1` if the value could not be retrieved.
std::string | name
| The `ZX_PROP_NAME` property of the thread. This may be empty.
zx_thread_state_general_regs_t | general_registers = {}
| The raw architecture-specific `zx_thread_state_general_regs_t` as returned by `zx_thread_read_state()`.
std::vector< CheckedRange< zx_vaddr_t, size_t > > | stack_regions
| The regions representing the stack. The first entry in the vector represents the callstack, and further entries optionally identify other stack data when the thread uses a split stack representation.

## Detailed Description

Contains information about a thread that belongs to a process.

The documentation for this struct was generated from the following files:

- snapshot/fuchsia/process_reader_fuchsia.h
- snapshot/fuchsia/process_reader_fuchsia.cc